# docs ⦿ dedot 🧑‍💻

## dedot 🧑‍💻

- [Welcome to Dedot](https://docs.dedot.dev/readme.md)
- [Why Dedot?](https://docs.dedot.dev/why-dedot.md)
- [Getting started](https://docs.dedot.dev/getting-started.md)
- [Installation](https://docs.dedot.dev/getting-started/installation.md)
- [Connect to network](https://docs.dedot.dev/getting-started/connect-to-network.md)
- [@polkadot/api -> dedot](https://docs.dedot.dev/getting-started/pjs-to-dedot.md)
- [Packages structure](https://docs.dedot.dev/getting-started/packages-structure.md)
- [Clients & Providers](https://docs.dedot.dev/clients-and-providers.md)
- [DedotClient](https://docs.dedot.dev/clients-and-providers/dedot-client.md)
- [Providers](https://docs.dedot.dev/clients-and-providers/providers.md)
- [Client API](https://docs.dedot.dev/client-api.md)
- [ChainApi](https://docs.dedot.dev/client-api/chainapi.md)
- [Constants](https://docs.dedot.dev/client-api/constants.md)
- [Runtime APIs](https://docs.dedot.dev/client-api/runtime-apis.md)
- [Storage Queries](https://docs.dedot.dev/client-api/storage-queries.md)
- [Transactions](https://docs.dedot.dev/client-api/transactions.md)
- [Events](https://docs.dedot.dev/client-api/events.md)
- [Errors](https://docs.dedot.dev/client-api/errors.md)
- [View Functions](https://docs.dedot.dev/client-api/view-functions.md)
- [Smart Contracts](https://docs.dedot.dev/ink-smart-contracts.md)
- [Introduction](https://docs.dedot.dev/ink-smart-contracts/intro.md)
- [Generate Types & APIs](https://docs.dedot.dev/ink-smart-contracts/generate-types-and-apis.md)
- [Deploy contracts](https://docs.dedot.dev/ink-smart-contracts/deploy.md)
- [Queries](https://docs.dedot.dev/ink-smart-contracts/queries.md)
- [Transactions](https://docs.dedot.dev/ink-smart-contracts/transactions.md)
- [Storage](https://docs.dedot.dev/ink-smart-contracts/storage.md): Storage API to retrieve contract storage directly.
- [Events](https://docs.dedot.dev/ink-smart-contracts/events.md)
- [Handle errors](https://docs.dedot.dev/ink-smart-contracts/handle-errors.md)
- [Utilities](https://docs.dedot.dev/ink-smart-contracts/utilities.md)
- [CLI](https://docs.dedot.dev/cli.md): Dedot's Command line interface
- [Keyring & Signer](https://docs.dedot.dev/keyring-and-signer.md)
- [Runtime upgrades](https://docs.dedot.dev/runtime-upgrades.md)
- [Type system](https://docs.dedot.dev/type-system.md)
- [Utilities](https://docs.dedot.dev/utilities.md)
- [HexString](https://docs.dedot.dev/utilities/hex.md)
- [Uint8Array (U8a)](https://docs.dedot.dev/utilities/uint8array-u8a.md)
- [String](https://docs.dedot.dev/utilities/string.md)
- [Hash functions](https://docs.dedot.dev/utilities/hash-functions.md)
- [Address](https://docs.dedot.dev/utilities/address.md)
- [BigInt & number](https://docs.dedot.dev/utilities/bigint-and-number.md)
- [Miscs](https://docs.dedot.dev/utilities/miscs.md)
- [Balances](https://docs.dedot.dev/utilities/balances.md)
- [Merkleized Metadata](https://docs.dedot.dev/utilities/merkleized-metadata.md): RFC-0078: Merkleized Metadata Implementation
- [Scale codec](https://docs.dedot.dev/scale-codec.md)
- [Known types & codecs](https://docs.dedot.dev/known-types-and-codecs.md)
- [How to?](https://docs.dedot.dev/how-to.md)
- [Tutorials](https://docs.dedot.dev/help-and-faq/tutorials.md)
- [Develop ink! dApp using Typink](https://docs.dedot.dev/help-and-faq/tutorials/develop-ink-dapp-using-typink.md)
- [Built with Dedot](https://docs.dedot.dev/help-and-faq/built-with-dedot.md)
- [Forum Posts](https://docs.dedot.dev/help-and-faq/forum-posts.md): Polkadot forum posts about Dedot's updates & progress

## typink ✏️

- [Welcome to Typink](https://docs.dedot.dev/typink/welcome-to-typink.md)
- [Getting started](https://docs.dedot.dev/typink/getting-started.md)
- [Start a new dapp](https://docs.dedot.dev/typink/getting-started/start-a-new-dapp.md)
- [Migrate from existing dapp](https://docs.dedot.dev/typink/getting-started/migrate-from-existing-dapp.md)
- [Supported networks](https://docs.dedot.dev/typink/getting-started/supported-networks.md)
- [create-typink CLI](https://docs.dedot.dev/typink/create-typink-cli.md)
- [Hooks & Providers](https://docs.dedot.dev/typink/hooks-and-providers.md)
- [usePSP22Balance](https://docs.dedot.dev/typink/hooks-and-providers/usepsp22balance.md)
- [TypinkProvider](https://docs.dedot.dev/typink/hooks-and-providers/typinkprovider.md)
- [useTypink](https://docs.dedot.dev/typink/hooks-and-providers/usetypink.md)
- [useContract](https://docs.dedot.dev/typink/hooks-and-providers/usecontract.md)
- [useContractQuery](https://docs.dedot.dev/typink/hooks-and-providers/usecontractquery.md)
- [useContractTx](https://docs.dedot.dev/typink/hooks-and-providers/usecontracttx.md)
- [useDeployer & useDeployerTx](https://docs.dedot.dev/typink/hooks-and-providers/usedeployer-and-usedeployertx.md)
- [useWatchContractEvent](https://docs.dedot.dev/typink/hooks-and-providers/usewatchcontractevent.md)
- [useCheckMappedAccount](https://docs.dedot.dev/typink/hooks-and-providers/usecheckmappedaccount.md)
- [useLazyStorage](https://docs.dedot.dev/typink/hooks-and-providers/uselazystorage.md)
- [useRootStorage](https://docs.dedot.dev/typink/hooks-and-providers/userootstorage.md)
- [usePolkadotClient](https://docs.dedot.dev/typink/hooks-and-providers/usepolkadotclient.md)
- [useBalance & useBalances](https://docs.dedot.dev/typink/hooks-and-providers/usebalance-and-usebalances.md)
- [useBlockInfo](https://docs.dedot.dev/typink/hooks-and-providers/useblockinfo.md)
- [useTx](https://docs.dedot.dev/typink/hooks-and-providers/usetx.md)
- [useTxFee](https://docs.dedot.dev/typink/hooks-and-providers/usetxfee.md)
- [Wallet Connectors](https://docs.dedot.dev/typink/wallet-connectors.md)
- [Default Typink](https://docs.dedot.dev/typink/wallet-connectors/default-typink.md)
- [SubConnect V2](https://docs.dedot.dev/typink/wallet-connectors/subconnect-v2.md)
- [Talisman Connect](https://docs.dedot.dev/typink/wallet-connectors/talisman-connect.md)
- [Utilities](https://docs.dedot.dev/typink/utilities.md)
- [formatBalance](https://docs.dedot.dev/typink/utilities/formatbalance.md)
- [txToaster](https://docs.dedot.dev/typink/utilities/txtoaster.md): Showing transaction notifications with real-time progress updates
- [Tutorials](https://docs.dedot.dev/typink/help-and-faq/tutorials.md)
- [Build an ERC20 dapp with Typink and ink! v6](https://docs.dedot.dev/typink/help-and-faq/tutorials/build-an-erc20-dapp-with-typink-and-ink-v6.md)
- [Archive](https://docs.dedot.dev/typink/archive.md)
- [Introducing Typink](https://docs.dedot.dev/typink/archive/introducing-typink.md): Typesafe React hooks for seamless ink! smart contract interactions, powered by Dedot!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.dedot.dev/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
